package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.DeviceDTO;

import java.util.List;

/**
 * @author liulu
 * @since 2024/10/17
 */
public interface DeviceService {
    Page<DeviceDTO.View> selectPageList(DeviceDTO.Query query);

    List<DeviceDTO.View> getUngroupedList();

    DeviceDTO.Detail getDetailById(Long id);

    Long save(DeviceDTO.Save save);

    void update(DeviceDTO.Save update);

    void delete(Long id);
}
