package com.sunyard.ssp.modules.sysconf.dict.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunyard.ssp.modules.sysconf.dict.entity.ScDict;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author fyc
 * @since 2020-03-13
 */
@Repository
public interface ScDictMapper extends BaseMapper<ScDict> {

    @Select("<script>" +
            "select * from SC_DICT where type = #{type}"+
            "</script>")
    ScDict selectByType(@Param("type") String type);

}
