package com.sunyard.ssp.modules.sysconf.paramconf.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author fyc
 * @since 2020-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SC_PARAM_CONF")
@ApiModel(value="", description="")
public class ParamConf implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "数据大类")
    @TableField("ITEM")
    private Integer item;

    @ApiModelProperty(value = "数据名称")
//    @TableField("`KEY`") mysql需加
    @TableField("KEY")
    private String key;

    @ApiModelProperty(value = "数据值")
    @TableField("VALUE")
    private String value;

    @ApiModelProperty(value = "数据值类型")
    @TableField("TYPE")
    private String type;

    @ApiModelProperty(value = "状态")
    @TableField("STATUS")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREAT_TIME")
    private LocalDateTime creatTime;

    @ApiModelProperty(value = "备注")
    @TableField("MEMO")
    private String memo;


}
